Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class Charge

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractBalanceBean
ru.bitel.bgbilling.kernel.contract.balance.common.bean.Charge

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Idable`

public class Charge extends AbstractBalanceBean implements Serializable, Cloneable
Расход договора.

Для получения типа(ChargeType) использовать справочник типов, там содержится(покрайней мери пока) название и значение редактируемости.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Charge.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Charge()`
  `Charge(int id, int userId, int contractId, int typeId, Date date, String comment, BigDecimal sum, Date timeChange)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Charge.Builder`
  `builder()`
  `Charge`
  `clone()`
  `boolean`
  `isPayback()`
  `Charge`
  `setComment(String comment)`
  Устанавливает примечание.
  `Charge`
  `setContractId(int value)`
  Устанавливает код договора.
  `Charge`
  `setDate(Date date)`
  Устанавливает дату расхода/прихода.
  `Charge`
  `setPayback(boolean payback)`
  Установка, является ли данный расход возвратом.
  `Charge`
  `setSum(BigDecimal sum)`
  Устанавливает сумму.
  `Charge`
  `setTypeId(int value)`
  Устанавливает код типа.
  `Charge`
  `setUserId(int value)`
  Устанавливает код пользователя биллинга.
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractBalanceBean

  `getComment, getContractId, getDate, getSum, getTimeChange, getTypeId, getUserId, setTimeChange`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Charge

    public Charge()

  - ### Charge

    public Charge(int id, int userId, int contractId, int typeId, Date date, String comment, BigDecimal sum, Date timeChange)

- ## Method Details

  - ### clone

    public Charge clone() throws CloneNotSupportedException
    Overrides:
      `clone` in class `Object`
    Throws:
      `CloneNotSupportedException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractBalanceBean`

  - ### isPayback

    public boolean isPayback()
    Returns:
      если данный расход является возвратом = true;

  - ### setPayback

    public Charge setPayback(boolean payback)
    Установка, является ли данный расход возвратом.
    Parameters:
      `payback` - - true если возврат

  - ### setContractId

    public Charge setContractId(int value)
    Description copied from class: `AbstractBalanceBean`
    Устанавливает код договора.
    Overrides:
      `setContractId` in class `AbstractBalanceBean`
    Parameters:
      `value` -

  - ### setDate

    public Charge setDate(Date date)
    Description copied from class: `AbstractBalanceBean`
    Устанавливает дату расхода/прихода.
    Overrides:
      `setDate` in class `AbstractBalanceBean`
    Parameters:
      `date` -

  - ### setComment

    public Charge setComment(String comment)
    Description copied from class: `AbstractBalanceBean`
    Устанавливает примечание.
    Overrides:
      `setComment` in class `AbstractBalanceBean`
    Parameters:
      `comment` -

  - ### setSum

    public Charge setSum(BigDecimal sum)
    Description copied from class: `AbstractBalanceBean`
    Устанавливает сумму.
    Overrides:
      `setSum` in class `AbstractBalanceBean`
    Parameters:
      `sum` -

  - ### setTypeId

    public Charge setTypeId(int value)
    Description copied from class: `AbstractBalanceBean`
    Устанавливает код типа.
    Overrides:
      `setTypeId` in class `AbstractBalanceBean`
    Parameters:
      `value` -

  - ### setUserId

    public Charge setUserId(int value)
    Description copied from class: `AbstractBalanceBean`
    Устанавливает код пользователя биллинга.
    Overrides:
      `setUserId` in class `AbstractBalanceBean`
    Parameters:
      `value` -

  - ### builder

    public static Charge.Builder builder()